#include <Adafruit_NeoPixel.h>

int pins[] = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21};
int total = sizeof(pins)/sizeof(pins[0]);

void setup() {}

void loop() {

  for(int i=0; i<total; i++){

    Adafruit_NeoPixel pixel(1, pins[i], NEO_GRB + NEO_KHZ800);
    pixel.begin();

    pixel.setPixelColor(0, pixel.Color(255, 0, 0));
    pixel.show();

    delay(600);

    pixel.clear();
    pixel.show();
  }
}
